FileSystemImage (Apache Hadoop Main 3.5.0 API)
Description: declaration: package: org.apache.hadoop.hdfs.server.namenode, class: FileSystemImage

Package org.apache.hadoop.hdfs.server.namenode

# Class FileSystemImage

java.lang.Object
org.apache.hadoop.hdfs.server.namenode.FileSystemImage

All Implemented Interfaces:
  `Configurable`, `Tool`

@Public @Unstable public class FileSystemImage extends Object implements Tool
Create FSImage from an external namespace.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FileSystemImage()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Configuration`
  `getConf()`
  Return the configuration used by this object.
  `static void`
  `main(String[] argv)`
  `protected void`
  `printUsage()`
  `int`
  `run(String[] argv)`
  Execute the command with the given arguments.
  `void`
  `setConf(Configuration conf)`
  Set the configuration to be used by this object.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### FileSystemImage

    public FileSystemImage()

- ## Method Details

  - ### getConf

    public Configuration getConf()
    Description copied from interface: `Configurable`
    Return the configuration used by this object.
    Specified by:
      `getConf` in interface `Configurable`
    Returns:
      Configuration

  - ### setConf

    public void setConf(Configuration conf)
    Description copied from interface: `Configurable`
    Set the configuration to be used by this object.
    Specified by:
      `setConf` in interface `Configurable`
    Parameters:
      `conf` - configuration to be used

  - ### printUsage

    protected void printUsage()

  - ### run

    public int run(String[] argv) throws Exception
    Description copied from interface: `Tool`
    Execute the command with the given arguments.
    Specified by:
      `run` in interface `Tool`
    Parameters:
      `argv` - command specific arguments.
    Returns:
      exit code.
    Throws:
      `Exception` - command exception.

  - ### main

    public static void main(String[] argv) throws Exception
    Throws:
      `Exception`